# -*- coding: utf-8 -*-
import dataiku
import pandas as pd, numpy as np
from dataiku import pandasutils as pdu

# Read recipe inputs
inp = dataiku.Dataset("contacts")
out = dataiku.Dataset("contacts_1")

value = dataiku.get_custom_variables()["my_var"]

# Set schema of the output dataset
schema = inp.read_schema()
schema.append({"type": "int", "name" : "new_feat"})
print(schema)
out.write_schema(schema)

#Copy over data + enrichments
with out.get_writer() as writer:
    for df in inp.iter_dataframes():
        df['new_feat'] = value
        writer.write_dataframe(df)